> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpublish

> Remove a published article from a connected CMS provider.

Remove a published article from a connected CMS provider. Body: `articleSlug` and `provider`. The SnowSEO article is kept. For many at once, use [Bulk article actions](https://snowseo.com/docs/api-reference/endpoints/articles-bulk.md).


## OpenAPI

````yaml POST /v3/cms/unpublish
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security:
  - bearerAuth: []
  - apiKey: []
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/cms/unpublish:
    post:
      tags:
        - CMS
      summary: Unpublish an article from a CMS provider
      description: >-
        Unpublish one SnowSEO article from a connected CMS provider while
        keeping the SnowSEO article. For many at once, use unpublish_articles.
      operationId: unpublishArticle
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - articleSlug
                - provider
              properties:
                teamId:
                  type: string
                articleSlug:
                  type: string
                provider:
                  type: string
                  enum:
                    - wordpress
                    - shopify
                    - webflow
                    - ghost
                    - webhook
                    - framer
                    - grigora
                    - snowcms
                    - embed
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  remainingProviders:
                    type: array
                    items:
                      type: string
                  cmsUnpublishError:
                    type: string
                additionalProperties: true
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
                  generationKind:
                    type: string
                    nullable: true
                  generationPhase:
                    type: string
                    nullable: true
                  lockedFields:
                    type: array
                    items:
                      type: string
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your SnowSEO API key (sk_...).
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.